LinuxQMISDK: PLMNNetworkNameData Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
PLMNNetworkNameData Struct Reference

## Data Fields
BYTE | codingScheme
BYTE | countryInitials
BYTE | longNameSpareBits
BYTE | shortNameSpareBits
BYTE | longNameLen
BYTE | longName [255]
BYTE | shortNameLen
BYTE | shortName [255]

## Detailed Description

This structure contains PLMN Network Name Data from multiple sources.

Parameters

  codingScheme | Coding scheme: 0 - CODING_SCHEME_CELL_BROADCAST_GSM - Cell broadcast data coding scheme, GSM default alphabet, language unspecified;defined in 3GPP TS 23.038. 1 - CODING_SCHEME_UCS2 - UCS2 (16 bit);defined in ISO/IEC 10646
  countryInitials | Country's initials: 0 - COUNTRY_INITIALS_DO_NOT_ADD - MS should not add the letters for the country's initials to the text string. 1 - COUNTRY_INITIALS_ADD - MS should add the letters for the country's initials and a separator, e.g., a space, to the text string.
  longNameSpareBits | Long Name Spare Bits: 1 - SPARE_BITS_8 - Bit 8 is spare and set to 0 in octet n 2 - SPARE_BITS_7_TO_8 - Bits 7 and 8 are spare and set to 0 in octet n. 3 - SPARE_BITS_6_TO_8 - Bits 6 to 8 (inclusive) are spare and set to 0 in octet n. 4 - SPARE_BITS_5_TO_8 - Bits 5 to 8 (inclusive) are spare and set to 0 in octet n. 5 - SPARE_BITS_4_TO_8 - Bits 4 to 8 (inclusive) are spare and set to 0 in octet n. 6 - SPARE_BITS_3_TO_8 - Bits 3 to 8 (inclusive) are spare and set to 0 in octet n. 7 - SPARE_BITS_2_TO_8 - Bits 2 to 8 (inclusive) are spare and set to 0 in octet n. 0 - SPARE_BITS_UNKNOWN - Carries no information about the number of spare bits in octet n.
  shortNameSpareBits | Short Name Spare Bits: 1 - SPARE_BITS_8 - Bit 8 is spare and set to 0 in octet n. 2 - SPARE_BITS_7_TO_8 - Bits 7 and 8 are spare and set to 0 in octet n. 3 - SPARE_BITS_6_TO_8 - Bits 6 to 8 (inclusive) are spare and set to 0 in octet n. 4 - SPARE_BITS_5_TO_8 - Bits 5 to 8 (inclusive) are spare and set to 0 in octet n. 5 - SPARE_BITS_4_TO_8 - Bits 4 to 8 (inclusive) are spare and set to 0 in octet n. 6 - SPARE_BITS_3_TO_8 - Bits 3 to 8 (inclusive) are spare and set to 0 in octet n. 7 - SPARE_BITS_2_TO_8 - Bits 2 to 8 (inclusive) are spare and set to 0 in octet n. 0 - SPARE_BITS_UNKNOWN - Carries no information about the number of spare bits in octet n.
  longNameLen | It provides the length of long name.
  longName | Long name string in coding_scheme.
  shortNameLen | It provides the length of short name.
  shortName | Short name string in coding_scheme.

## Field Documentation

BYTE PLMNNetworkNameData::codingScheme

BYTE PLMNNetworkNameData::countryInitials

BYTE PLMNNetworkNameData::longName[255]

BYTE PLMNNetworkNameData::longNameLen

BYTE PLMNNetworkNameData::longNameSpareBits

BYTE PLMNNetworkNameData::shortName[255]

BYTE PLMNNetworkNameData::shortNameLen

BYTE PLMNNetworkNameData::shortNameSpareBits